package yangtz.cs.liu.campus.service.teacher;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.teacher.SchoolTeacherAward;
import yangtz.cs.liu.campus.vo.teacher.SchoolTeacherAwardVO;

import java.util.List;

public interface ISchoolTeacherAwardService extends IService<SchoolTeacherAward> {

    /*
     * 获取老师获奖信息列表
     * */
    List<SchoolTeacherAward> selectSchoolTeacherAwardList(SchoolTeacherAwardVO schoolTeacherAwardVO);


    /*
     * 新增老师获奖信息
     * */
    int insertSchoolTeacherAward(SchoolTeacherAward schoolTeacherAward);

    /*
     * 修改老师获奖信息
     * */
    int updateSchoolTeacherAward(SchoolTeacherAward schoolTeacherAward);

    /*
     * 删除老师获奖信息byIds
     * */
    int deleteSchoolTeacherAwardByIds(List<Long> ids);

    /*
    * 删除老师获奖byids
    * */
    int deleteSchoolTeacherAwardById(List<Long> ids);

    //id获取教师列表
    List<SchoolTeacherAward> listByIds(List<Long> ids);

    List<SchoolTeacherAward> queryList(SchoolTeacherAward schoolTeacherAward);
}
